Package weka.classifiers.rules

# Class JRip.Antd

java.lang.Object
weka.classifiers.rules.JRip.Antd

All Implemented Interfaces:
  `Serializable`, `Copyable`, `RevisionHandler`, `WeightedInstancesHandler`

Direct Known Subclasses:
  `JRip.NominalAntd`, `JRip.NumericAntd`

Enclosing class:
  JRip

public abstract class JRip.Antd extends Object implements WeightedInstancesHandler, Copyable, Serializable, RevisionHandler
The single antecedent in the rule, which is composed of an attribute and the corresponding value. There are two inherited classes, namely NumericAntd and NominalAntd in which the attributes are numeric and nominal respectively.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Antd(Attribute a)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Object`
  `copy()`
  Implements Copyable
  `abstract boolean`
  `covers(Instance inst)`
  `double`
  `getAccu()`
  `double`
  `getAccuRate()`
  `Attribute`
  `getAttr()`
  `double`
  `getAttrValue()`
  `double`
  `getCover()`
  `double`
  `getMaxInfoGain()`
  `String`
  `getRevision()`
  Returns the revision string.
  `abstract Instances[]`
  `splitData(Instances data, double defAcRt, double cla)`
  `abstract String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Antd

    public Antd(Attribute a)
    Constructor

- ## Method Details

  - ### splitData

    public abstract Instances[] splitData(Instances data, double defAcRt, double cla)

  - ### covers

    public abstract boolean covers(Instance inst)

  - ### toString

    public abstract String toString()
    Overrides:
      `toString` in class `Object`

  - ### copy

    public abstract Object copy()
    Implements Copyable
    Specified by:
      `copy` in interface `Copyable`
    Returns:
      a copy of this object

  - ### getAttr

    public Attribute getAttr()

  - ### getAttrValue

    public double getAttrValue()

  - ### getMaxInfoGain

    public double getMaxInfoGain()

  - ### getAccuRate

    public double getAccuRate()

  - ### getAccu

    public double getAccu()

  - ### getCover

    public double getCover()

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision